XInitThread in library causes segfault

Bug #7037 reported by Debian Bug Importer on 2004-07-14
4
Affects Status Importance Assigned to Milestone
xosd (Debian)
Fix Released
Unknown
xosd (Ubuntu)
High
Fabio Massimo Di Nitto

Bug Description

Automatically imported from Debian bug report #252170 http://bugs.debian.org/252170

tags 252170 moreinfo, unreproducible, help
thanks

On Tue, Jun 01, 2004 at 03:11:57PM -0500, Alex Malinovich wrote:
> is most likely a conflict of some sort with some X library
> somewhere, unfortunately I don't know enough about X to be
> able to track it down. I'll be happy to help in any way I
> can though.

This bug sounds bad, but we're lucky you can reproduce it.

A couple of questions:

When did that start?

Do you use ACME?

Do you use GNOME? If so, which version?

Are any diagnostic messages printed before the segfault?

Please make it dump core (ulimit -c unlimited), load it into gdb and
produce a backtrace. (gdb /usr/bin/xmms core).

Please make a strace and a ltrace of xmms starting with and without the
plugin in ~/.xmms/config (just gzip the files before sending, since they
tend to be large).

Marcin
--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

On Wed, 2004-06-02 at 11:23, Marcin Owsiany wrote:
--snip--
> When did that start?

Yesterday. It had been working fine most of the day. I logged out of
Gnome and logged back in and it stopped working.

> Do you use ACME?

Nope. I'm using Gnome 2.6 which did away with ACME and integrated it
into the Keyboard Shortcuts.

> Do you use GNOME? If so, which version?

See above. 2.6 from experimental (not from sid)

> Are any diagnostic messages printed before the segfault?
Here's the full output:

alex@Balrog:~/.xmms$ xmms

Segmentation fault

You've probably found a bug in XMMS, please visit
http://bugs.xmms.org and fill out a bug report.

alex@Balrog:~/.xmms$

> Please make it dump core (ulimit -c unlimited), load it into gdb and
> produce a backtrace. (gdb /usr/bin/xmms core).
I did a ulimit -c unlimited, but XMMS isn't producing a core dump.
ulimit -a shows the limits as unlimited, but there's still no core.
Doing a ltrace xmms 2>/dev/null produces a core dump, but I'm not really
sure if it's an ltrace core dump or a xmms core dump. Here's the output
from gdb.

(no debugging symbols found)...(gdb) bt
#0 0x080562b1 in ?? ()
#1 0x0806d148 in ctrl_write_packet ()
#2 0x411849b4 in start_thread () from /lib/tls/libpthread.so.0
#3 0x00000000 in ?? ()
(gdb)

> Please make a strace and a ltrace of xmms starting with and without the
> plugin in ~/.xmms/config (just gzip the files before sending, since they
> tend to be large).

4 files attached:

ltrace-withOUT-plugin.gz
ltrace-with-plugin.gz
strace-withOUT-plugin.gz
strace-with-plugin.gz
--
Alex Malinovich
Support Free Software, delete your Windows partition TODAY!
Encrypted mail preferred. You can get my public key from any of the
pgp.net keyservers. Key ID: A6D24837

On Wed, Jun 02, 2004 at 12:57:56PM -0500, Alex Malinovich wrote:
> On Wed, 2004-06-02 at 11:23, Marcin Owsiany wrote:
> --snip--
> > When did that start?
>
> Yesterday. It had been working fine most of the day. I logged out of
> Gnome and logged back in and it stopped working.

Any upgrades between that and previous relogin?

> > Do you use ACME?
>
> Nope. I'm using Gnome 2.6 which did away with ACME and integrated it
> into the Keyboard Shortcuts.

Hm, so just like me.

> > Do you use GNOME? If so, which version?
>
> See above. 2.6 from experimental (not from sid)

BTW it looks like that was moved from experimental to sid recently

> > Are any diagnostic messages printed before the segfault?
> Here's the full output:
>
> alex@Balrog:~/.xmms$ xmms
>
> Segmentation fault
>
> You've probably found a bug in XMMS, please visit
> http://bugs.xmms.org and fill out a bug report.

Argh! A SIGSEGV handler :-(

> alex@Balrog:~/.xmms$
>
> > Please make it dump core (ulimit -c unlimited), load it into gdb and
> > produce a backtrace. (gdb /usr/bin/xmms core).
> I did a ulimit -c unlimited, but XMMS isn't producing a core dump.
> ulimit -a shows the limits as unlimited, but there's still no core.

Probably because of that signal handler :-/

> Doing a ltrace xmms 2>/dev/null produces a core dump, but I'm not really
> sure if it's an ltrace core dump or a xmms core dump.

Try "file core", that should say.

> Here's the output
> from gdb.
>
> (no debugging symbols found)...(gdb) bt
> #0 0x080562b1 in ?? ()
> #1 0x0806d148 in ctrl_write_packet ()
> #2 0x411849b4 in start_thread () from /lib/tls/libpthread.so.0
> #3 0x00000000 in ?? ()
> (gdb)

Unfortunately this looks like garbage...

> 4 files attached:

Thanks, I'll investigate those.

Marcin
--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

On Wed, 2004-06-02 at 13:20, Marcin Owsiany wrote:
--snip--
> Any upgrades between that and previous relogin?
I'm not sure. This is my work PC and we had a 3 day weekend. I'm pretty
sure I did an upgrade last Friday, but I'm also pretty sure that I
logged out and logged back in since then.

> Try "file core", that should say.

alex@Balrog:~$ file core.7375
core.7375: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV),
SVR4-style, SVR4-style, from 'xmms'

So it looks like it is from xmms. It's strange that it only gets created
when I run xmms via ltrace.

> > Here's the output
> > from gdb.
> >
> > (no debugging symbols found)...(gdb) bt
> > #0 0x080562b1 in ?? ()
> > #1 0x0806d148 in ctrl_write_packet ()
> > #2 0x411849b4 in start_thread () from /lib/tls/libpthread.so.0
> > #3 0x00000000 in ?? ()
> > (gdb)
>
> Unfortunately this looks like garbage...

There's more stuff that comes up when gdb first starts up (before I run
bt). Do you want me to send you that as well?

--
Alex Malinovich
Support Free Software, delete your Windows partition TODAY!
Encrypted mail preferred. You can get my public key from any of the
pgp.net keyservers. Key ID: A6D24837

On Wed, Jun 02, 2004 at 08:20:38PM +0200, Marcin Owsiany wrote:
> Thanks, I'll investigate those.

Looks like the segfault happens inside, or on entering the plugin's init
function. The attached package has some debugging instructions added
(creates files /tmp/xmms-xf86audio and directories inside).

Please install that and after it segfaults (hopefully it should), do:
ls -al /tmp/xmms-xf86audio

Marcin
--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

On Wed, 2004-06-02 at 15:17, Marcin Owsiany wrote:
> On Wed, Jun 02, 2004 at 08:20:38PM +0200, Marcin Owsiany wrote:
> > Thanks, I'll investigate those.
>
> Looks like the segfault happens inside, or on entering the plugin's init
> function. The attached package has some debugging instructions added
> (creates files /tmp/xmms-xf86audio and directories inside).
>
> Please install that and after it segfaults (hopefully it should), do:
> ls -al /tmp/xmms-xf86audio
>
> Marcin

I installed it but /tmp/xmms-xf86audio didn't get created. I tried
manually making the directory and then re-running, and still nothing.

--
Alex Malinovich
Support Free Software, delete your Windows partition TODAY!
Encrypted mail preferred. You can get my public key from any of the
pgp.net keyservers. Key ID: A6D24837

On Wed, Jun 02, 2004 at 03:42:51PM -0500, Alex Malinovich wrote:
> I installed it but /tmp/xmms-xf86audio didn't get created.

My fault. The path was wrong. Try this one (attached)

> I tried
> manually making the directory and then re-running, and still nothing.

Please remember to delete it before trying this time.

Marcin
--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

On Wed, 2004-06-02 at 15:51, Marcin Owsiany wrote:
> On Wed, Jun 02, 2004 at 03:42:51PM -0500, Alex Malinovich wrote:
> > I installed it but /tmp/xmms-xf86audio didn't get created.
>
> My fault. The path was wrong. Try this one (attached)

alex@Balrog:~$ ls -al /tmp/xmms-xf86audio/
total 2.5K
drwxr-xr-x 3 alex alex 72 2004-06-02 15:54 .
drwxrwxrwt 16 root root 1.3K 2004-06-02 15:54 ..
drwxr-xr-x 2 alex alex 48 2004-06-02 15:54 K1
alex@Balrog:~$

--
Alex Malinovich
Support Free Software, delete your Windows partition TODAY!
Encrypted mail preferred. You can get my public key from any of the
pgp.net keyservers. Key ID: A6D24837

On Wed, Jun 02, 2004 at 03:55:25PM -0500, Alex Malinovich wrote:
> On Wed, 2004-06-02 at 15:51, Marcin Owsiany wrote:
> > On Wed, Jun 02, 2004 at 03:42:51PM -0500, Alex Malinovich wrote:
> > > I installed it but /tmp/xmms-xf86audio didn't get created.
> >
> > My fault. The path was wrong. Try this one (attached)
>
> alex@Balrog:~$ ls -al /tmp/xmms-xf86audio/
> total 2.5K
> drwxr-xr-x 3 alex alex 72 2004-06-02 15:54 .
> drwxrwxrwt 16 root root 1.3K 2004-06-02 15:54 ..
> drwxr-xr-x 2 alex alex 48 2004-06-02 15:54 K1
> alex@Balrog:~$

We're getting closer and closer :-)

Now try this one.

Marcin
--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

On Wed, 2004-06-02 at 16:05, Marcin Owsiany wrote:
--snip--
> We're getting closer and closer :-)
>
> Now try this one.
>
> Marcin

alex@Balrog:~$ ls -al /tmp/xmms-xf86audio/
total 3.0K
drwxr-xr-x 4 alex alex 96 2004-06-02 16:19 .
drwxrwxrwt 17 root root 1.4K 2004-06-02 16:19 ..
drwxr-xr-x 2 alex alex 48 2004-06-02 16:19 K1
drwxr-xr-x 2 alex alex 48 2004-06-02 16:19 K1-0
alex@Balrog:~$

--
Alex Malinovich
Support Free Software, delete your Windows partition TODAY!
Encrypted mail preferred. You can get my public key from any of the
pgp.net keyservers. Key ID: A6D24837

On Wed, Jun 02, 2004 at 04:20:11PM -0500, Alex Malinovich wrote:
> On Wed, 2004-06-02 at 16:05, Marcin Owsiany wrote:
> --snip--
> > We're getting closer and closer :-)
> >
> > Now try this one.
> >
> > Marcin
>
> alex@Balrog:~$ ls -al /tmp/xmms-xf86audio/
> total 3.0K
> drwxr-xr-x 4 alex alex 96 2004-06-02 16:19 .
> drwxrwxrwt 17 root root 1.4K 2004-06-02 16:19 ..
> drwxr-xr-x 2 alex alex 48 2004-06-02 16:19 K1
> drwxr-xr-x 2 alex alex 48 2004-06-02 16:19 K1-0
> alex@Balrog:~$

So one thing is sure - it segfaults inside XStringToKeysym() call, which
is an libX11 function. Could you make another strace please? Just one
this time, with the plugin enabled.

Marcin
--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

On Wed, 2004-06-02 at 16:38, Marcin Owsiany wrote:
--snip--
> So one thing is sure - it segfaults inside XStringToKeysym() call, which
> is an libX11 function. Could you make another strace please? Just one
> this time, with the plugin enabled.

Here you go.

--
Alex Malinovich
Support Free Software, delete your Windows partition TODAY!
Encrypted mail preferred. You can get my public key from any of the
pgp.net keyservers. Key ID: A6D24837

retitle 252170 XStringToKeysym() call causes segfault
thanks

The interesting part of the strace is:
[...]
mkdir("/tmp/xmms-xf86audio/", 0755) = -1 EEXIST (File exists)
mkdir("/tmp/xmms-xf86audio/K1", 0755) = -1 EEXIST (File exists)
mkdir("/tmp/xmms-xf86audio/K1-0", 0755) = -1 EEXIST (File exists)
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
[...]

Which corresponds to the following bits of code:

| static void plugin_init()
| {
| mkdir(P, 0755);
| grab_keys();
| }
| [...]
| static void grab_keys()
| {
| KeyCode code;
|
| mkdir(P "K1", 0755);
| if ((code = grab_key("XF86AudioNext")) != 0)
| map[XF86AUDIO_NEXT] = code;
| mkdir(P "K2", 0755);
| [...]
| }
| [...]
| static KeyCode grab_key(char *keystring)
| {
| KeySym sym;
| KeyCode code;
|
| mkdir(P "K1-0", 0755);
| sym = XStringToKeysym(keystring);
| mkdir(P "K1-1", 0755);
| [...]
| }

So it looks like it's XStringToKeysym() that segfaults. Why? Were there any
changes between 4.3.0.dfsg.1-1 and 4.3.0.dfsg.1-4 which could have fixed that?
Or maybe it's some dynamic linking error? But that should have been caught by
dlopen(), when loading the plugin, right?

Should I reassign this bug to libx11-6 ?

Marcin
--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

Here are some more instructions from Branden Robinson. Please:

apt-get install libx11-6-dbg

set LD_LIBRARY_PATH as described in "dpkg -s libx11-6-dbg"

cause core dump as before (maybe try starting xmms under gdb, so it will
catch the signal before xmms does, and then display backtrace directly)

generate backtrace from coredump with gdb

Marcin
--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

Download full text (4.5 KiB)

On Wed, 2004-06-02 at 17:13, Marcin Owsiany wrote:
> Here are some more instructions from Branden Robinson. Please:
>
> apt-get install libx11-6-dbg
>
> set LD_LIBRARY_PATH as described in "dpkg -s libx11-6-dbg"
>
> cause core dump as before (maybe try starting xmms under gdb, so it will
> catch the signal before xmms does, and then display backtrace directly)
>
> generate backtrace from coredump with gdb

I couldn't get it to generate a core dump, so I did a gdb xmms followed
by run and then bt. Here's the full output.

alex@Balrog:~$ gdb /usr/bin/xmms
GNU gdb 6.1-debian
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you
are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB. Type "show warranty" for
details.
This GDB was configured as "i386-linux"...(no debugging symbols
found)...Using host libthread_db library "/lib/tls/libthread_db.so.1".

(gdb) run
Starting program: /usr/bin/xmms
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no debugging
symbols found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...[Thread debugging using
libthread_db enabled]
[New Thread 1075393536 (LWP 29660)]
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no debugging
symbols found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...[New Thread 1085545392 (LWP 29663)]
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no debugging
symbols found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...[New Thread 1114602416 (LWP
29664)]
[New Thread 1122991024 (LWP 29665)]

Program received signal SIGSEGV, Segm...

Read more...

Download full text (3.5 KiB)

On Wed, 2004-06-02 at 17:13, Marcin Owsiany wrote:
> Here are some more instructions from Branden Robinson. Please:
>
> apt-get install libx11-6-dbg
>
> set LD_LIBRARY_PATH as described in "dpkg -s libx11-6-dbg"
>
> cause core dump as before (maybe try starting xmms under gdb, so it will
> catch the signal before xmms does, and then display backtrace directly)
>
> generate backtrace from coredump with gdb

Sorry, I ran the last one from the wrong terminal. (Didn't have
LD_LIBRARY_PATH set.) Here's the output from the correct one:

alex@Balrog:~$ echo $LD_LIBRARY_PATH
/usr/X11R6/lib/debug/
alex@Balrog:~$ gdb /usr/bin/xmms
GNU gdb 6.1-debian
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you
are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB. Type "show warranty" for
details.
This GDB was configured as "i386-linux"...(no debugging symbols
found)...Using host libthread_db library "/lib/tls/libthread_db.so.1".

(gdb) run
Starting program: /usr/bin/xmms
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no debugging
symbols found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...[Thread debugging using
libthread_db enabled]
[New Thread 1076208640 (LWP 29753)]
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...[New Thread 1086360496 (LWP 29756)]
[New Thread 1114602416 (LWP 29757)]
[New Thread 1122991024 (LWP 29758)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1076208640 (LWP 29753)]
0x411866a1 in pthread_mutex_lock () from /lib/tls/libpthread.so.0
(gdb) bt
#0 0x411866a1 in pthread_mutex_lock () from /lib/tls/libpthread.so.0
#1 0x40257d28 in __JCR_LIST__ () from /usr/X11R6/lib/debug/libX11.so.6
#2 0xbffff748 in ?? ()
#3 0x401a4758 in _XrmInternalStringToQuark (name=0xbffff7b8 "[?]\001",
    len=1076198696, sig=1076202924, permstring=1075464024) at
Quarks.c:290
#4 0x401ce429 in XrmQGetResource (db=0x40257d28, names=0x0,
    classes=0x40258908, pType=0xbffff7ac, pValue=0xbffff7b0) at
Xrm.c:2576
#5 0x401c1c6a in XStringToKeysym (s=0x40ecc8ae "XF86AudioNext")
    at StrKeysym.c:123
#6 0x40ecc27c in get_gplugin_info ()
   from /usr/lib/xmms/General/libxf86audio.so
#7 0x40ecc8ae in ?? () from /usr/lib/xmms/General/libxf86audio.so
#8 0x000001ed in ?? ()
#9 0xbffff818 in ?? ()
#10 0x400a5b91 in gtk_timeout_add () from /usr/lib/libgtk-1.2.so.0
#11 0x40ecc447 in get_gplugin_info ()
   from /usr/lib/xmms/General/libxf86audio.so
#12 0x40ecc8ae in ?? () from /usr/lib/xmms/General/libxf86audio.so
#13 0x000001ed in ?? ()
#14 0x00000000 in ?? ()
#15 0x08210940 in ?? ()
#16 0x40ecdec0 in ?? () from /usr/lib/xmms/General/libxf86audio.so
#17 0x08210940 in ?? ()
---Type <return> to continue, or q <return> to quit---
#18 0xbffff868 in ?? ()
#19 0x08063166 in general_enable_from_stringified_list ()
Previous frame identical to t...

Read more...

Andrew Suffield suggested that this might be some kind of memory
corruption happening earlier. I should probably concentrate on
reproducing the problem, since "remote" debugging of such problem will
be rather difficult.

For that I would need:
 - list of all your installed packages (COLUMNS=200 dpkg -l)
 - a tarball of your ~/.xmms directory
 - what kernel you are running?
 - what sound output system you are using? alsa/oss/esd?
 - information on any GTK theme you are using (or whether you can
   reproduce the bug with standard theme)

Also it would be very helpful if you could determine the smallest set of
xmms plugins with which you can still reproduce the bug. (maybe backup
your ~/.xmms and start with a clean directory, and try to disable
plugins one by one).

Marcin
--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

On Thu, 2004-06-10 at 07:27, Marcin Owsiany wrote:
> Andrew Suffield suggested that this might be some kind of memory
> corruption happening earlier. I should probably concentrate on
> reproducing the problem, since "remote" debugging of such problem will
> be rather difficult.
>
> For that I would need:
> - list of all your installed packages (COLUMNS=200 dpkg -l)
> - a tarball of your ~/.xmms directory
> - what kernel you are running?
> - what sound output system you are using? alsa/oss/esd?
> - information on any GTK theme you are using (or whether you can
> reproduce the bug with standard theme)
>
> Also it would be very helpful if you could determine the smallest set of
> xmms plugins with which you can still reproduce the bug. (maybe backup
> your ~/.xmms and start with a clean directory, and try to disable
> plugins one by one).

I'm going to be out of the office until Monday, but as soon as I have
some free time available I can SSH in and take care of the package
listing and .xmms tarball. For the time being, here's the simple
answers:

Kernel 2.6.6 (Debian 686 image)
Using the ESD output plugin
Using ALSA for sound.
Using the Nuvola theme.

--
Alex Malinovich
Support Free Software, delete your Windows partition TODAY!
Encrypted mail preferred. You can get my public key from any of the
pgp.net keyservers. Key ID: A6D24837

On Thu, 2004-06-10 at 09:27, Marcin Owsiany wrote:
--snip--
> - list of all your installed packages (COLUMNS=200 dpkg -l)
> - a tarball of your ~/.xmms directory
> - what kernel you are running?

alex@Balrog:~$ uname -r
2.6.6-1-686
alex@Balrog:~$ dpkg -l kernel-image-`uname -r`
Desired=Unknown/Install/Remove/Purge/Hold
|
Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err:
uppercase=bad)
||/ Name Version Description
+++-==============-==============-============================================
ii kernel-image-2 2.6.6-1 Linux kernel image for version 2.6.6
on PPro
alex@Balrog:~$

> - what sound output system you are using? alsa/oss/esd?

I use ALSA for the kernel end of things, but XMMS is using ESD since my
soundcard won't do multiple audio streams.

> - information on any GTK theme you are using (or whether you can
> reproduce the bug with standard theme)

Nuvola theme (part of gnome-themes-extras)

> Also it would be very helpful if you could determine the smallest set of
> xmms plugins with which you can still reproduce the bug. (maybe backup
> your ~/.xmms and start with a clean directory, and try to disable
> plugins one by one).

I hadn't thought to try this. It seems that my OSD plugin
(xmms-osd-plugin) and the xf86audio plugins don't play nice. I can have
one or the other enabled, but not both.

Two attachments:

xmms.tar.gz - contents of ~/.xmms
package-list.gz - output of "COLUMNS=200 dpkg -l"

--
Alex Malinovich
Support Free Software, delete your Windows partition TODAY!
Encrypted mail preferred. You can get my public key from any of the
pgp.net keyservers. Key ID: A6D24837

One more detail. If I load xf86audio and THEN load the OSD plugin, they
both work. BUT, if I load the OSD plugin first and then load the
xf86audio plugin, I get a segfault.
--
Alex Malinovich
Support Free Software, delete your Windows partition TODAY!
Encrypted mail preferred. You can get my public key from any of the
pgp.net keyservers. Key ID: A6D24837

tags 252170 -unreproducible
thanks

Philipp: this is possibly a bug in xmms-osd-plugin, could you try to
reproduce this as well?

On Mon, Jun 14, 2004 at 10:33:31AM -0500, Alex Malinovich wrote:
> One more detail. If I load xf86audio and THEN load the OSD plugin, they
> both work. BUT, if I load the OSD plugin first and then load the
> xf86audio plugin, I get a segfault.

Now thanks to this information, I can reproduce the crash:
 - install xmms-osd-plugin and xmms-xf86audio
 - start xmms, with locale different than "C" (I use pl_PL, and could
   not reproduce it when starting with LANG=C)
 - go to options->preferences->general plugins
 - make sure both libxmms_osd.so and libxf86audio.so are disabled
   (Enable plugin checkbox OFF)
 - enable osd plugin
 - enable xf86audio plugin
 *crash*

This suggests that the bug might be in the OSD plugin or library.

Now I need to find an electric-fence or something similar..

Marcin
--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

tags 252170 -moreinfo
thanks

--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

This is as far as I got:

(gdb) r
Starting program: /usr/bin/xmms
[Thread debugging using libthread_db enabled]
[New Thread 16384 (LWP 22973)]
[New Thread 32769 (LWP 22975)]
[New Thread 16386 (LWP 22976)]
[New Thread 32771 (LWP 22977)]
[New Thread 49156 (LWP 22978)]
[New Thread 65541 (LWP 22979)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 16384 (LWP 22973)]
*__GI___pthread_mutex_lock (mutex=0x11) at mutex.c:102
102 mutex.c: Nie ma takiego pliku ani katalogu.
        in mutex.c
(gdb) bt
#0 *__GI___pthread_mutex_lock (mutex=0x11) at mutex.c:102
#1 0x40286fc1 in _XLockMutex (lip=0x11) at locking.c:95
#2 0x40272429 in XrmQGetResource (db=0x8161dc8, names=0xbfffe788, classes=0x402fc908, pType=0xbfffe77c, pValue=0xbfffe780)
    at Xrm.c:2576
#3 0x40265c6a in XStringToKeysym (s=0x407b34a8 "XF86AudioNext") at StrKeysym.c:123
#4 0x407b3165 in get_gplugin_info () from /usr/lib/xmms/General/libxf86audio.so
#5 0x407b34a8 in ?? () from /usr/lib/xmms/General/libxf86audio.so
#6 0x00000000 in ?? ()
#7 0xbfffe7f8 in ?? ()
#8 0x401ca4a8 in __JCR_LIST__ () from /usr/lib/debug/libglib-1.2.so.0
#9 0x401ca4a8 in __JCR_LIST__ () from /usr/lib/debug/libglib-1.2.so.0
#10 0x081e4594 in ?? ()
#11 0xbfffe7e8 in ?? ()
#12 0x401b8fa2 in g_list_alloc () at glist.c:136
#13 0x407b3250 in get_gplugin_info () from /usr/lib/xmms/General/libxf86audio.so
#14 0x407b34a8 in ?? () from /usr/lib/xmms/General/libxf86audio.so
#15 0x00000000 in ?? ()
#16 0xbfffe838 in ?? ()
#17 0x08199b80 in ?? ()
#18 0x00000000 in ?? ()
#19 0x08199b80 in ?? ()
#20 0xbfffe838 in ?? ()
#21 0x0805fef3 in enable_general_plugin (i=135888576, enable=1081821632) at general.c:48
Previous frame identical to this frame (corrupt stack?)
(gdb)

--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

The following thread has some useful information:
http://lists.debian.org/debian-devel/2004/06/msg00530.html

--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

I'm sending this message to maintainers of packages which are possibly
involved in the problem.

Please read http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=252170

I know very little of X programming, so I have no idea which package is
"guilty" of the problem:
 - xmms-xf86audio for using XStringToKeysym
 - xmms for not caring about setting up Xlib thread support early enough
 - xosd for setting up Xlib thread support too late
 - xlib for having such and not other thread support interface

Anyway, we need to decide how to resolve the problem. Please help.

Marcin
PS: Please CC the bug address so we have a log. Or maybe we should move
this to some mailing list?
--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

Hello!

Sorry for the delay, but I was ill and work keeps me busy.

On Mon, Jun 21, 2004 at 08:57:30PM +0200, Marcin Owsiany wrote:
> I'm sending this message to maintainers of packages which are possibly
> involved in the problem.
>
> Please read http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=252170
>
> I know very little of X programming, so I have no idea which package is
> "guilty" of the problem:
> - xmms-xf86audio for using XStringToKeysym
> - xmms for not caring about setting up Xlib thread support early enough
> - xosd for setting up Xlib thread support too late
> - xlib for having such and not other thread support interface
>
> Anyway, we need to decide how to resolve the problem. Please help.

I investigates this yesterday and here are my findings:
1. xosd is multithreded using 3 threads for X11-exposure, timeout and
control.
2. xosd opens its own X11 display but needs X11-Tread support, so it
calls XInitThread, which is wrong, because xmms dynamically loads the
library way after its first call to X11.
3. Putting an XInitThread()-call in xmms might solve this problem. But
since there are other applications using libxosd, they all must also
call XInitThread() before using libxosd. Not doing this will later crash
the application.

Therefor I see only one solution: Rewrite xosd to use only one thread
for X11 calls. I'll try to do that, but I'm busy with university and my
scouting activities, so it might take me some time. Before I start
coding, I'll ask some questions for the new implementation:

The current implementation has one thread listening for X11 exposures to
redraw the display. The loop blocks using XWindowEvent(). I'm going to
use select() on ConnectionNumber(x11->display).
Another thread handles timeouts. Currently it directly calls X11 to hide
the display. How do I best convert it to something that works with
select() for inter-thread-communication()? Use a pipe()? On Linux I
could get rid of that thread and use select()'s timeval to do the
timeout, since Linux updates timeval to contain the remaining sleep
time. But that's not portable, so for non-Linux I'll have to use
gettimeofday(). Any better ideas?
A third thread will control xosd (updating text, changing colors/fonts)
on users request. This threads will have to also communicate with the
first thread to notify it of changes. Should I use a pipe() or signal()
or what else for inter-thread-communication?

BYtE
Philipp
--
Philipp Matthias Hahn <email address hidden>
 GPG/PGP: 9A540E39 @ keyrings.debian.org

On Mon, Jun 21, 2004 at 08:57:30PM +0200, Marcin Owsiany wrote:
> I'm sending this message to maintainers of packages which are possibly
> involved in the problem.
>
> Please read http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=252170
>
> I know very little of X programming, so I have no idea which package is
> "guilty" of the problem:
> - xmms-xf86audio for using XStringToKeysym
> - xmms for not caring about setting up Xlib thread support early enough
> - xosd for setting up Xlib thread support too late
> - xlib for having such and not other thread support interface
>
> Anyway, we need to decide how to resolve the problem. Please help.
>
> Marcin
> PS: Please CC the bug address so we have a log. Or maybe we should move
> this to some mailing list?

Philipp Matthias Hahn's recommendation[1] looked sound to me.

Going by Andrew Suffield's comments, anything else would involve major
surgery to Xlib -- probably implementing a new function for thread
initialization -- and that is well beyond my ken. I'd want to consult with
gurus like Keith Packard first.

Keith is subscribed to this list, so maybe uttering his name will summon
him to this thread.

Maybe. :)

[1] Message-ID: <email address hidden>
[2] Message-ID: <email address hidden>
    http://lists.debian.org/debian-devel/2004/06/msg00804.html

--
G. Branden Robinson | If a man ate a pound of pasta and a
Debian GNU/Linux | pound of antipasto, would they
<email address hidden> | cancel out, leaving him still
http://people.debian.org/~branden/ | hungry? -- Scott Adams

[ CC-ing the bug to record your comments, hope you don't mind ]

On Thu, Jul 08, 2004 at 01:21:08AM -0700, Devin Carraway wrote:
> On Wed, Jul 07, 2004 at 12:11:37PM +0200, Marcin Owsiany wrote:
> > Though this is not really a bug in xmms-xf86audio, it is not
> > debian-packaging-specific, so I thought you might want to know about it,
> > as the upstream author.
>
> Quite a bit of effort you've put into this one. Thanks for letting me
> know. Admittedly I didn't think much about the threading issue when
> knocking up the plugin; I think xosd is most nearly at fault here, but
> it's more that xosd didn't contemplate being wedged into a wierd
> situation as an xmms plugin.
>
> > Maybe you even have another idea how to fix it? :-)
>
> One way as you've discussed is to make the xosd plugin less wierd about
> its usage of X, possibly pushing it to an external client and talking to
> it over an IPC channel of some sort. Probably a simpler way is to get
> xmms to call XInitThread() itself earlier on -- maybe you can get Josip
> Rodin to patch in a hook you can use to call it before xmms starts
> making xlib calls itself. Or maybe GTK1 has some tricks buried in the
> headers you can use.
>
> Assuming that I understand Andrew's summary correctly, I'm surprised the
> xosd plugin is being perturbed only by xmms-xf86audio, there being
> plenty of other plugins which also make X calls (via GDK if nothing
> else).

Maybe GDK makes its own locking before calling Xlib internally?

Marcin
--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

retitle 252170 thread issues with xosd and xlib cause xmms segfault
thanks
--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

reassign 252170 xosd
forwarded 252170 <email address hidden>
retitle 252170 XInitThread in library causes segfault
tag 252170 + upstream
tag 252170 + pending

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #252170 http://bugs.debian.org/252170

Debian Bug Importer (debzilla) wrote :

Message-Id: <E1BVFc5-00020W-1A@localhost>
Date: Tue, 01 Jun 2004 15:11:57 -0500
From: Alex Malinovich <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: xmms-xf86audio: Loading plugin causes XMMS segfault

Package: xmms-xf86audio
Version: 0.4.1-3
Severity: grave
Justification: renders package unusable

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Starting up the plugin causes XMMS to segfault. Having the
plugin listed in .xmms/config makes it impossible to start
XMMS without first changing the plugins line in config. This
is most likely a conflict of some sort with some X library
somewhere, unfortunately I don't know enough about X to be
able to track it down. I'll be happy to help in any way I
can though.

- -- System Information:
Debian Release: testing/unstable
  APT prefers experimental
  APT policy: (600, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.6-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8

Versions of packages xmms-xf86audio depends on:
ii libc6 2.3.2.ds1-12 GNU C Library: Shared libraries an
ii libglib1.2 1.2.10-9 The GLib library of C routines
ii libgtk1.2 1.2.10-16 The GIMP Toolkit set of widgets fo
ii libx11-6 4.3.0.dfsg.1-1 X Window System protocol client li
ii libxext6 4.3.0.dfsg.1-1 X Window System miscellaneous exte
ii libxi6 4.3.0.dfsg.1-1 X Window System Input extension li
ii xlibs 4.3.0.dfsg.1-1 X Window System client libraries m
ii xmms 1.2.10-1 Versatile X audio player that look

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAvOMNBPYwh6bSSDcRAkdnAJ9X0FrkN0R2/egiAWO1KbztxjzqUgCeMM+o
l/KGqvI7yMX2sOQWwh9Yhyw=
=6D2Y
-----END PGP SIGNATURE-----

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 2 Jun 2004 18:23:34 +0200
From: Marcin Owsiany <email address hidden>
To: Alex Malinovich <email address hidden>, <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#252170: xmms-xf86audio: Loading plugin causes XMMS segfault

tags 252170 moreinfo, unreproducible, help
thanks

On Tue, Jun 01, 2004 at 03:11:57PM -0500, Alex Malinovich wrote:
> is most likely a conflict of some sort with some X library
> somewhere, unfortunately I don't know enough about X to be
> able to track it down. I'll be happy to help in any way I
> can though.

This bug sounds bad, but we're lucky you can reproduce it.

A couple of questions:

When did that start?

Do you use ACME?

Do you use GNOME? If so, which version?

Are any diagnostic messages printed before the segfault?

Please make it dump core (ulimit -c unlimited), load it into gdb and
produce a backtrace. (gdb /usr/bin/xmms core).

Please make a strace and a ltrace of xmms starting with and without the
plugin in ~/.xmms/config (just gzip the files before sending, since they
tend to be large).

Marcin
--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 2 Jun 2004 20:20:38 +0200
From: Marcin Owsiany <email address hidden>
To: Alex Malinovich <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#252170: xmms-xf86audio: Loading plugin causes XMMS segfault

On Wed, Jun 02, 2004 at 12:57:56PM -0500, Alex Malinovich wrote:
> On Wed, 2004-06-02 at 11:23, Marcin Owsiany wrote:
> --snip--
> > When did that start?
>
> Yesterday. It had been working fine most of the day. I logged out of
> Gnome and logged back in and it stopped working.

Any upgrades between that and previous relogin?

> > Do you use ACME?
>
> Nope. I'm using Gnome 2.6 which did away with ACME and integrated it
> into the Keyboard Shortcuts.

Hm, so just like me.

> > Do you use GNOME? If so, which version?
>
> See above. 2.6 from experimental (not from sid)

BTW it looks like that was moved from experimental to sid recently

> > Are any diagnostic messages printed before the segfault?
> Here's the full output:
>
> alex@Balrog:~/.xmms$ xmms
>
> Segmentation fault
>
> You've probably found a bug in XMMS, please visit
> http://bugs.xmms.org and fill out a bug report.

Argh! A SIGSEGV handler :-(

> alex@Balrog:~/.xmms$
>
> > Please make it dump core (ulimit -c unlimited), load it into gdb and
> > produce a backtrace. (gdb /usr/bin/xmms core).
> I did a ulimit -c unlimited, but XMMS isn't producing a core dump.
> ulimit -a shows the limits as unlimited, but there's still no core.

Probably because of that signal handler :-/

> Doing a ltrace xmms 2>/dev/null produces a core dump, but I'm not really
> sure if it's an ltrace core dump or a xmms core dump.

Try "file core", that should say.

> Here's the output
> from gdb.
>
> (no debugging symbols found)...(gdb) bt
> #0 0x080562b1 in ?? ()
> #1 0x0806d148 in ctrl_write_packet ()
> #2 0x411849b4 in start_thread () from /lib/tls/libpthread.so.0
> #3 0x00000000 in ?? ()
> (gdb)

Unfortunately this looks like garbage...

> 4 files attached:

Thanks, I'll investigate those.

Marcin
--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

Debian Bug Importer (debzilla) wrote :

Message-Id: <1086200730.7170.26.camel@localhost>
Date: Wed, 02 Jun 2004 13:25:30 -0500
From: Alex Malinovich <email address hidden>
To: Marcin Owsiany <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#252170: xmms-xf86audio: Loading plugin causes XMMS segfault

--=-99PuXv3e1koEHHjeaWnT
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Wed, 2004-06-02 at 13:20, Marcin Owsiany wrote:
--snip--
> Any upgrades between that and previous relogin?
I'm not sure. This is my work PC and we had a 3 day weekend. I'm pretty
sure I did an upgrade last Friday, but I'm also pretty sure that I
logged out and logged back in since then.

> Try "file core", that should say.

alex@Balrog:~$ file core.7375
core.7375: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV),
SVR4-style, SVR4-style, from 'xmms'

So it looks like it is from xmms. It's strange that it only gets created
when I run xmms via ltrace.

> > Here's the output
> > from gdb.
> >=20
> > (no debugging symbols found)...(gdb) bt
> > #0 0x080562b1 in ?? ()
> > #1 0x0806d148 in ctrl_write_packet ()
> > #2 0x411849b4 in start_thread () from /lib/tls/libpthread.so.0
> > #3 0x00000000 in ?? ()
> > (gdb)
>=20
> Unfortunately this looks like garbage...

There's more stuff that comes up when gdb first starts up (before I run
bt). Do you want me to send you that as well?

--=20
Alex Malinovich
Support Free Software, delete your Windows partition TODAY!
Encrypted mail preferred. You can get my public key from any of the
pgp.net keyservers. Key ID: A6D24837

--=-99PuXv3e1koEHHjeaWnT
Content-Type: application/pgp-signature; name=signature.asc
Content-Description: This is a digitally signed message part

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD4DBQBAvhuaBPYwh6bSSDcRAsO5AJisF5ax72oD3/NKlrQC99BGbkilAJ4mTABN
5gWkzBka1APnhoZ6rTk1FA==
=Jm27
-----END PGP SIGNATURE-----

--=-99PuXv3e1koEHHjeaWnT--

Debian Bug Importer (debzilla) wrote :
Download full text (15.6 KiB)

Message-ID: <email address hidden>
Date: Wed, 2 Jun 2004 22:17:09 +0200
From: Marcin Owsiany <email address hidden>
To: Alex Malinovich <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#252170: xmms-xf86audio: Loading plugin causes XMMS segfault

--azLHFNyN32YCQGCU
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

On Wed, Jun 02, 2004 at 08:20:38PM +0200, Marcin Owsiany wrote:
> Thanks, I'll investigate those.

Looks like the segfault happens inside, or on entering the plugin's init
function. The attached package has some debugging instructions added
(creates files /tmp/xmms-xf86audio and directories inside).

Please install that and after it segfaults (hopefully it should), do:
ls -al /tmp/xmms-xf86audio

Marcin
--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

--azLHFNyN32YCQGCU
Content-Type: application/x-debian-package
Content-Disposition: attachment; filename="xmms-xf86audio_0.4.1-3.0.1_i386.deb"
Content-Transfer-Encoding: base64
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...

Debian Bug Importer (debzilla) wrote :

Message-Id: <1086208971.11624.5.camel@localhost>
Date: Wed, 02 Jun 2004 15:42:51 -0500
From: Alex Malinovich <email address hidden>
To: Marcin Owsiany <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#252170: xmms-xf86audio: Loading plugin causes XMMS segfault

--=-mlQPgvprcjRL8zTy7A6k
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Wed, 2004-06-02 at 15:17, Marcin Owsiany wrote:
> On Wed, Jun 02, 2004 at 08:20:38PM +0200, Marcin Owsiany wrote:
> > Thanks, I'll investigate those.
>=20
> Looks like the segfault happens inside, or on entering the plugin's init
> function. The attached package has some debugging instructions added
> (creates files /tmp/xmms-xf86audio and directories inside).
>=20
> Please install that and after it segfaults (hopefully it should), do:
> ls -al /tmp/xmms-xf86audio
>=20
> Marcin

I installed it but /tmp/xmms-xf86audio didn't get created. I tried
manually making the directory and then re-running, and still nothing.

--=20
Alex Malinovich
Support Free Software, delete your Windows partition TODAY!
Encrypted mail preferred. You can get my public key from any of the
pgp.net keyservers. Key ID: A6D24837

--=-mlQPgvprcjRL8zTy7A6k
Content-Type: application/pgp-signature; name=signature.asc
Content-Description: This is a digitally signed message part

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQBAvjvLBPYwh6bSSDcRAn2JAJ9GEx1wNHs8jjcgCwlg5h7s0y3v8ACeJbCU
c9uGmcZIff8ZisxhVbf+PLs=
=gy99
-----END PGP SIGNATURE-----

--=-mlQPgvprcjRL8zTy7A6k--

Debian Bug Importer (debzilla) wrote :
Download full text (15.5 KiB)

Message-ID: <email address hidden>
Date: Wed, 2 Jun 2004 22:51:57 +0200
From: Marcin Owsiany <email address hidden>
To: Alex Malinovich <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#252170: xmms-xf86audio: Loading plugin causes XMMS segfault

--a8Wt8u1KmwUX3Y2C
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

On Wed, Jun 02, 2004 at 03:42:51PM -0500, Alex Malinovich wrote:
> I installed it but /tmp/xmms-xf86audio didn't get created.

My fault. The path was wrong. Try this one (attached)

> I tried
> manually making the directory and then re-running, and still nothing.

Please remember to delete it before trying this time.

Marcin
--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

--a8Wt8u1KmwUX3Y2C
Content-Type: application/x-debian-package
Content-Disposition: attachment; filename="xmms-xf86audio_0.4.1-3.0.2_i386.deb"
Content-Transfer-Encoding: base64

ITxhcmNoPgpkZWJpYW4tYmluYXJ5ICAgMTA4NjIwOTM2NiAgMCAgICAgMCAgICAgMTAwNjQ0
ICA0ICAgICAgICAgYAoyLjAKY29udHJvbC50YXIuZ3ogIDEwODYyMDkzNjYgIDAgICAgIDAg
ICAgIDEwMDY0NCAgNjU3ICAgICAgIGAKH4sIAAAAAAAAA+2U32/TMBDH+5y/4h5Boq6T2GlT
wcSkDcRDxUQltFfHvqTWkriyHWgRfzxOuyEYjD0VxOSPZNm5O39z/nVkNjk5NDDn/NAH7veH
cUopn7O84FkxoWmaFukE+OQvMDgvLMDEGuP/FPeY//7i/hPIrFPcDZ078fkXjD14/oyze+ef
ccomQOP5n5yM1ZlElQuuBGWFrDIqCqlyLOdpxcoSYHB21upqtus6N3uLPVrRjoZdvSjEoLQh
ziQ5zUpWKpqLElVVMpXXc6QSGRMVFTw9yriNsDhTRh7Ept8VZh8uzy9Wl6T5kiDndRb+LZhQ
aaXqQtQy46qu6ooXtMRHhKTZ7q1uNj5hikuOkvOFEAIXZZ1TzkN6IaG8ZovFY0Ib0TfYmoZc
YKVFP+Y2eYKQsGW9t6b9d+8/pdmv73+s//H9n54rIW9Eg0v4+f4nH9E6bfolUMJIOs0JJVmy
RukPRmeGXiVXVhur/X4JZjvaRZucW7nRPoQNNmjqfFEkF7jFXrklhJohC3h29goykpOMKJdO
2fMXo70JLSXZwRl6Qm/N/uZHa0rv4ndpOi3gK+zC2AX/GYQk72btcOcfdurfu8blJ+uhadD5
kKuQHd6mSoM/edeHa9K2qKZr/SWsrKDJSujeh4Z2CSthpe7h/WcXSsUeXm6NtVo1+Fodi4ex
zVnYCCet3h538PrNojgfdxq6ofW6Q6XF9Ab34IZtmO2hNhauV6t1AuewbYcmyPuN8IC9qFp0
Bx94E6oYBgfCUeH2MUNQcmB66EI6yfhVGWGVGyfchRwEtq3YV+EKgOgVfDLt0CF5knUuEolE
IpFIJBKJRCKRSCQSiUQikUgkEolEnjrfAIR5qjcAKAAACmRhdGEudGFyLmd6ICAgICAxMDg2
MjA5MzY2ICAwICAgICAwICAgICAxMDA2NDQgIDczNDYgICAgICBgCh+LCAAAAAAAAAPtWwlc
U8fWv0BYjAioqKioV6WCCCFhVUEFEVRkK4uiiPGSXJJoNpMblqoIRq0xgqj4XKu4tda2YnHD
HcEq1loV97rWpSWCioiIG3wz996EQOnyvfd1ed+P6+9w5sz8Z+bMnDNz586JLA/kT3/Y4PHz
8SE5eFpzMs1hs338vL18fTh+CJvD4fhyENQH+QselZLAFCiKKGQy4rdwv1feenD/JQ/LQ6VU
ePyT7O8L7e/n127/v9D+YlGyxz/J/p4+Xn7t9v9r7Z8ukSg9/iH29/Lx9Gq3/99g/7G4FFdg
Yo+/0f7w/e/DYbfv/3+n/UFGespQX0zFF8lYStl/bn9fb+9fsb8n29O3tf39/HzYCMput/+f
/swLCQ81MTExyGbgH5QKOiGIN+CBfah8bwRFGIgL0h3phpi0auNeL4rMoWCHkOVknitFR0AG
aoogFnQ5SCLVoLzalSI7E4pgOQPQh48Iflu66suDaYLPKKPy/m3UCQQ0jE4PbqN8EM0HAnKh
0yNpPpzmzkZ4f0BD6LQXzd0BjQbkC2gAoKF0vh8gJ7jGaHkEop9L6ukL3eY3bBPQRl4QII9/
sD/1A4T+QSx0LVc6/QEgtzYwnDbyPH+lvd96X+w1+DflvZdN9TKVYFg2+z98HJh6mUHyAoNM
ejlywSBbUPiOeplq6J5BtiJ5g0HuQLXXSS9TDUV318sUMMsgW1PtueplqmKlQbYhebVBtiX5
uyF62Y4an5te7kxya4PcheR2BrkrpZ9Btm8xj2Zg/beUu7eSe7SSHVrJPVvJvVrJvVvJjojO
aD1CbRNp20HLwNGYGI2/M/K8KcWkeX1B/DO6/iQzSi5oVZ7WSs5tJfvS/WEmlOzaqn8PI3t3
AfZ2NNGnKSJMm/cRKG+m5TW0HN+qv0y6fBktm5q2LO9FyztNKVm/fUfT+lWD/A20/ezAfCw3
bd53oL4zabmQbu8yXX8pLZfS5Rtp2cfIP7sA//...

Debian Bug Importer (debzilla) wrote :

Message-Id: <1086209725.11624.8.camel@localhost>
Date: Wed, 02 Jun 2004 15:55:25 -0500
From: Alex Malinovich <email address hidden>
To: Marcin Owsiany <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#252170: xmms-xf86audio: Loading plugin causes XMMS segfault

--=-J8MXl/T2dNXm4EIVMaUH
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Wed, 2004-06-02 at 15:51, Marcin Owsiany wrote:
> On Wed, Jun 02, 2004 at 03:42:51PM -0500, Alex Malinovich wrote:
> > I installed it but /tmp/xmms-xf86audio didn't get created.
>=20
> My fault. The path was wrong. Try this one (attached)

alex@Balrog:~$ ls -al /tmp/xmms-xf86audio/
total 2.5K
drwxr-xr-x 3 alex alex 72 2004-06-02 15:54 .
drwxrwxrwt 16 root root 1.3K 2004-06-02 15:54 ..
drwxr-xr-x 2 alex alex 48 2004-06-02 15:54 K1
alex@Balrog:~$

--=20
Alex Malinovich
Support Free Software, delete your Windows partition TODAY!
Encrypted mail preferred. You can get my public key from any of the
pgp.net keyservers. Key ID: A6D24837

--=-J8MXl/T2dNXm4EIVMaUH
Content-Type: application/pgp-signature; name=signature.asc
Content-Description: This is a digitally signed message part

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQBAvj69BPYwh6bSSDcRArK9AKCdUtvCcKHX232ir0ZY7hDe95ebAgCgnI2x
tENzF4Qt848zUvLzQZN3jow=
=TyPY
-----END PGP SIGNATURE-----

--=-J8MXl/T2dNXm4EIVMaUH--

Debian Bug Importer (debzilla) wrote :
Download full text (17.1 KiB)

Message-ID: <email address hidden>
Date: Wed, 2 Jun 2004 23:05:11 +0200
From: Marcin Owsiany <email address hidden>
To: Alex Malinovich <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#252170: xmms-xf86audio: Loading plugin causes XMMS segfault

--H+4ONPRPur6+Ovig
Content-Type: multipart/mixed; boundary="ReaqsoxgOBHFXBhH"
Content-Disposition: inline

--ReaqsoxgOBHFXBhH
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Wed, Jun 02, 2004 at 03:55:25PM -0500, Alex Malinovich wrote:
> On Wed, 2004-06-02 at 15:51, Marcin Owsiany wrote:
> > On Wed, Jun 02, 2004 at 03:42:51PM -0500, Alex Malinovich wrote:
> > > I installed it but /tmp/xmms-xf86audio didn't get created.
> >=20
> > My fault. The path was wrong. Try this one (attached)
>=20
> alex@Balrog:~$ ls -al /tmp/xmms-xf86audio/
> total 2.5K
> drwxr-xr-x 3 alex alex 72 2004-06-02 15:54 .
> drwxrwxrwt 16 root root 1.3K 2004-06-02 15:54 ..
> drwxr-xr-x 2 alex alex 48 2004-06-02 15:54 K1
> alex@Balrog:~$

We're getting closer and closer :-)

Now try this one.

Marcin
--=20
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

--ReaqsoxgOBHFXBhH
Content-Type: application/x-debian-package
Content-Disposition: attachment; filename="xmms-xf86audio_0.4.1-3.0.3_i386.deb"
Content-Transfer-Encoding: base64

ITxhcmNoPgpkZWJpYW4tYmluYXJ5ICAgMTA4NjIxMDEzNiAgMCAgICAgMCAgICAgMTAwNjQ0
ICA0ICAgICAgICAgYAoyLjAKY29udHJvbC50YXIuZ3ogIDEwODYyMTAxMzYgIDAgICAgIDAg
ICAgIDEwMDY0NCAgNjYxICAgICAgIGAKH4sIAAAAAAAAA+2U32vbMBDH8+y/4h43WBTJluw4
bGWFdmMPYWWB0VfZOjuitmUke0vK/vjJSTu6sq5P7VjRB4zku9OX0487spg9OdSTCXEYPffH
w5xRKjLOKUu8nTHGkxmI2TMwukFagJk1Zvhb3GP++5v7TyCLVgk3tu6J7z/l/MH754Lfu/+Y
p+kMaLj/J4dRzHlSxCrJlMwplXJZiTKlhcIyTmUCMDq7aHSx2LWtW3zEDq1sJsOuWqZyVNoQ
Z6KExjnPFU1kjqrIuUqqDGmJnMuCSsGOMm4rLS6UKQ9i818Kiy/np2frc1JfRyhEFecZk1wq
VqgqlVUZC1UVVSFSmuMjQqXp91bX2yGqirRMEoaoqioWImXK55VkcamyTC6z6jGhrexqbExN
zrDQsptym71AiD+ybrCm+Xf1z2h8p/7jbKp/IVio/+fgQpZXssYV/P7+o69onTbdCijhhM0T
QkkSbbAcDkZnxk5FF1Ybq4f9Ckw/2WUTndpyqwcfNlqvqZNlGp1hj51yK/A9o0zh1ck7iElC
YqIcm/PXbyZ77T9G4oPTj4TemIeru1ZGb+N3jM1T+AE7P3fefwI+ydtVO9wNDzv1n13T9qPN
WNfoBp+rLFu8SZV6f/Sp88+kaVDNN/ra7yyl0VrqbvAf2hWspS11B5+/O98q9vC2N9ZqVeN7
dWwextYn/iBcaXV/PMHLD8v0dDppaMdm0C0qLedXuAc39n71AJWxcLlebyI4hb4Zay8/bOUA
2MmiQXfwwWB8F0PvQDgq3BQzeCUHpoPWpxNNf4WRVrlpwW3IQaBv5L7wTwBkp+CbacYWyYvs
c4FAIBAIBAKBQCAQCAQCgUAgEAgEAoFAIPDS+QlDpTA0ACgAAApkYXRhLnRhci5neiAgICAg
MTA4NjIxMDEzNiAgMCAgICAgMCAgICAgMTAwNjQ0ICA3NTU4ICAgICAgYAofiwgAAAAAAAAD
7XsJXFPXs/AFwmIEBEVFRLgqKiqEhFUFlUVQFJEKKC4YL8mFRLOZ3LC0imLUGtMgKtZdsbi0
1orFDXcWq9BqXWu1Km7wlwgqIiKuvHNuLiFQaPu+99X2vV/G3zBnzszZZs6WM1eGB/K3AxOA
n48PSQG0pWSaxWT6+Hl7M1mevgiTxWL5MBHUB/kIIJcRmBRFEalYTPyR3p/J2w7ufwkwPOQy
qce/yf8+0P9+vgb/f0T/C/gJHv8W/3sjcBKAaWDw/0f1f6pQKPP4l/jfy4fFMvj/H/D/WFyE
SzGBxz/of3j++zD9DPv/P+l/kJGaOMwXk3P5YoZM/D/3v6+3dwf+92R5erb1v5+flzeCMg3+
/9thYWhEmJGRkY43Af8gl2OFIN6Aos7afOAOhIa4Ij2Q7ohRmzoKHbVoChkbhJSTeW5aPAEy
UGMEMaPkIImcB/Lzblq0MdIilNMAflJJcNvra7M8hEIIo/XkfdspEwhwOJUe3I58IEX...

Debian Bug Importer (debzilla) wrote :

Message-Id: <1086211211.11624.10.camel@localhost>
Date: Wed, 02 Jun 2004 16:20:11 -0500
From: Alex Malinovich <email address hidden>
To: Marcin Owsiany <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#252170: xmms-xf86audio: Loading plugin causes XMMS segfault

--=-UaRLVIc++lO5v6z4vjW/
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Wed, 2004-06-02 at 16:05, Marcin Owsiany wrote:
--snip--
> We're getting closer and closer :-)
>=20
> Now try this one.
>=20
> Marcin

alex@Balrog:~$ ls -al /tmp/xmms-xf86audio/
total 3.0K
drwxr-xr-x 4 alex alex 96 2004-06-02 16:19 .
drwxrwxrwt 17 root root 1.4K 2004-06-02 16:19 ..
drwxr-xr-x 2 alex alex 48 2004-06-02 16:19 K1
drwxr-xr-x 2 alex alex 48 2004-06-02 16:19 K1-0
alex@Balrog:~$

--=20
Alex Malinovich
Support Free Software, delete your Windows partition TODAY!
Encrypted mail preferred. You can get my public key from any of the
pgp.net keyservers. Key ID: A6D24837

--=-UaRLVIc++lO5v6z4vjW/
Content-Type: application/pgp-signature; name=signature.asc
Content-Description: This is a digitally signed message part

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQBAvkSLBPYwh6bSSDcRAqLhAJ4h1/8LjNZ15ueFntG9O2eeqwjb+gCfZ6uC
HDAgmB9V/frookiX+6KgQ8w=
=rtLW
-----END PGP SIGNATURE-----

--=-UaRLVIc++lO5v6z4vjW/--

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 2 Jun 2004 23:38:46 +0200
From: Marcin Owsiany <email address hidden>
To: Alex Malinovich <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#252170: xmms-xf86audio: Loading plugin causes XMMS segfault

On Wed, Jun 02, 2004 at 04:20:11PM -0500, Alex Malinovich wrote:
> On Wed, 2004-06-02 at 16:05, Marcin Owsiany wrote:
> --snip--
> > We're getting closer and closer :-)
> >
> > Now try this one.
> >
> > Marcin
>
> alex@Balrog:~$ ls -al /tmp/xmms-xf86audio/
> total 3.0K
> drwxr-xr-x 4 alex alex 96 2004-06-02 16:19 .
> drwxrwxrwt 17 root root 1.4K 2004-06-02 16:19 ..
> drwxr-xr-x 2 alex alex 48 2004-06-02 16:19 K1
> drwxr-xr-x 2 alex alex 48 2004-06-02 16:19 K1-0
> alex@Balrog:~$

So one thing is sure - it segfaults inside XStringToKeysym() call, which
is an libX11 function. Could you make another strace please? Just one
this time, with the plugin enabled.

Marcin
--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

Debian Bug Importer (debzilla) wrote :
Download full text (19.0 KiB)

Message-Id: <1086212529.11624.20.camel@localhost>
Date: Wed, 02 Jun 2004 16:42:09 -0500
From: Alex Malinovich <email address hidden>
To: Marcin Owsiany <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#252170: xmms-xf86audio: Loading plugin causes XMMS segfault

--=-0cqtZ2Ohr2MhinA2w39i
Content-Type: multipart/mixed; boundary="=-wkndT772ZMXcrDNcbqL+"

--=-wkndT772ZMXcrDNcbqL+
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Wed, 2004-06-02 at 16:38, Marcin Owsiany wrote:
--snip--
> So one thing is sure - it segfaults inside XStringToKeysym() call, which
> is an libX11 function. Could you make another strace please? Just one
> this time, with the plugin enabled.

Here you go.

--=20
Alex Malinovich
Support Free Software, delete your Windows partition TODAY!
Encrypted mail preferred. You can get my public key from any of the
pgp.net keyservers. Key ID: A6D24837

--=-wkndT772ZMXcrDNcbqL+
Content-Disposition: attachment; filename=NEW-strace-with-plugin.gz
Content-Type: application/x-gzip; name=NEW-strace-with-plugin.gz
Content-Transfer-Encoding: base64
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...

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 2 Jun 2004 23:58:03 +0200
From: Marcin Owsiany <email address hidden>
To: <email address hidden>
Subject: Re: Bug#252170: xmms-xf86audio: Loading plugin causes XMMS segfault

retitle 252170 XStringToKeysym() call causes segfault
thanks

The interesting part of the strace is:
[...]
mkdir("/tmp/xmms-xf86audio/", 0755) = -1 EEXIST (File exists)
mkdir("/tmp/xmms-xf86audio/K1", 0755) = -1 EEXIST (File exists)
mkdir("/tmp/xmms-xf86audio/K1-0", 0755) = -1 EEXIST (File exists)
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
[...]

Which corresponds to the following bits of code:

| static void plugin_init()
| {
| mkdir(P, 0755);
| grab_keys();
| }
| [...]
| static void grab_keys()
| {
| KeyCode code;
|
| mkdir(P "K1", 0755);
| if ((code = grab_key("XF86AudioNext")) != 0)
| map[XF86AUDIO_NEXT] = code;
| mkdir(P "K2", 0755);
| [...]
| }
| [...]
| static KeyCode grab_key(char *keystring)
| {
| KeySym sym;
| KeyCode code;
|
| mkdir(P "K1-0", 0755);
| sym = XStringToKeysym(keystring);
| mkdir(P "K1-1", 0755);
| [...]
| }

So it looks like it's XStringToKeysym() that segfaults. Why? Were there any
changes between 4.3.0.dfsg.1-1 and 4.3.0.dfsg.1-4 which could have fixed that?
Or maybe it's some dynamic linking error? But that should have been caught by
dlopen(), when loading the plugin, right?

Should I reassign this bug to libx11-6 ?

Marcin
--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Thu, 3 Jun 2004 00:13:02 +0200
From: Marcin Owsiany <email address hidden>
To: Alex Malinovich <email address hidden>, <email address hidden>
Subject: Re: Bug#252170: xmms-xf86audio: Loading plugin causes XMMS segfault

Here are some more instructions from Branden Robinson. Please:

apt-get install libx11-6-dbg

set LD_LIBRARY_PATH as described in "dpkg -s libx11-6-dbg"

cause core dump as before (maybe try starting xmms under gdb, so it will
catch the signal before xmms does, and then display backtrace directly)

generate backtrace from coredump with gdb

Marcin
--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

Debian Bug Importer (debzilla) wrote :
Download full text (5.2 KiB)

Message-Id: <1086275188.28335.14.camel@localhost>
Date: Thu, 03 Jun 2004 10:06:28 -0500
From: Alex Malinovich <email address hidden>
To: Marcin Owsiany <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#252170: xmms-xf86audio: Loading plugin causes XMMS segfault

--=-i2Z+fOMWzxEyyeiEaHR/
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Wed, 2004-06-02 at 17:13, Marcin Owsiany wrote:
> Here are some more instructions from Branden Robinson. Please:
>=20
> apt-get install libx11-6-dbg
>=20
> set LD_LIBRARY_PATH as described in "dpkg -s libx11-6-dbg"
>=20
> cause core dump as before (maybe try starting xmms under gdb, so it will
> catch the signal before xmms does, and then display backtrace directly)
>=20
> generate backtrace from coredump with gdb

I couldn't get it to generate a core dump, so I did a gdb xmms followed
by run and then bt. Here's the full output.

alex@Balrog:~$ gdb /usr/bin/xmms
GNU gdb 6.1-debian
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you
are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB. Type "show warranty" for
details.
This GDB was configured as "i386-linux"...(no debugging symbols
found)...Using host libthread_db library "/lib/tls/libthread_db.so.1".

(gdb) run
Starting program: /usr/bin/xmms
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no debugging
symbols found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...[Thread debugging using
libthread_db enabled]
[New Thread 1075393536 (LWP 29660)]
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no debugging
symbols found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...[New Thread 1085545392 (LWP 29663)]
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no debugging
symbols found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found).....

Read more...

Debian Bug Importer (debzilla) wrote :
Download full text (4.2 KiB)

Message-Id: <1086275777.28335.23.camel@localhost>
Date: Thu, 03 Jun 2004 10:16:18 -0500
From: Alex Malinovich <email address hidden>
To: Marcin Owsiany <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#252170: xmms-xf86audio: Loading plugin causes XMMS segfault

--=-QjQt9PMfyyBzj4YrO0r7
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Wed, 2004-06-02 at 17:13, Marcin Owsiany wrote:
> Here are some more instructions from Branden Robinson. Please:
>=20
> apt-get install libx11-6-dbg
>=20
> set LD_LIBRARY_PATH as described in "dpkg -s libx11-6-dbg"
>=20
> cause core dump as before (maybe try starting xmms under gdb, so it will
> catch the signal before xmms does, and then display backtrace directly)
>=20
> generate backtrace from coredump with gdb

Sorry, I ran the last one from the wrong terminal. (Didn't have
LD_LIBRARY_PATH set.) Here's the output from the correct one:

alex@Balrog:~$ echo $LD_LIBRARY_PATH
/usr/X11R6/lib/debug/
alex@Balrog:~$ gdb /usr/bin/xmms
GNU gdb 6.1-debian
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you
are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB. Type "show warranty" for
details.
This GDB was configured as "i386-linux"...(no debugging symbols
found)...Using host libthread_db library "/lib/tls/libthread_db.so.1".

(gdb) run
Starting program: /usr/bin/xmms
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...(no debugging symbols found)...(no debugging
symbols found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...(no debugging symbols
found)...(no debugging symbols found)...[Thread debugging using
libthread_db enabled]
[New Thread 1076208640 (LWP 29753)]
(no debugging symbols found)...(no debugging symbols found)...(no
debugging symbols found)...[New Thread 1086360496 (LWP 29756)]
[New Thread 1114602416 (LWP 29757)]
[New Thread 1122991024 (LWP 29758)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1076208640 (LWP 29753)]
0x411866a1 in pthread_mutex_lock () from /lib/tls/libpthread.so.0
(gdb) bt
#0 0x411866a1 in pthread_mutex_lock () from /lib/tls/libpthread.so.0
#1 0x40257d28 in __JCR_LIST__ () from /usr/X11R6/lib/debug/libX11.so.6
#2 0xbffff748 in ?? ()
#3 0x401a4758 in _XrmInternalStringToQuark (name=3D0xbffff7b8 "[?]\001",
    len=3D1076198696, sig=3D1076202924, permstring=3D1075464024) at
Quarks.c:290
#4 0x401ce429 in XrmQGetResource (db=3D0x40257d28, names=3D0x0,
    classes=3D0x40258908, pType=3D0xbffff7ac, pValue=3D0xbffff7b0) at
Xrm.c:2576
#5 0x401c1c6a in XStringToKeysym (s=3D0x40ecc8ae "XF86AudioNext")
    at StrKeysym.c:123
#6 0x40ecc27c in get_gplugin_info ()
   from /usr/lib/xmms/General/libxf86audio.so
#7 0x40ecc8ae in ?? () from /usr/lib/xmms/General/libxf86audio.so
#8 0x000001ed in ?? ()
#9 0xbffff818 in ?? ()
#10 0x400a5b91 in gtk_timeout_add () from /usr/lib/libgtk-1.2.so.0
#11 0x40ecc447 in get_gplugin_info ()
   from /usr/lib/xmms/General/li...

Read more...

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Thu, 10 Jun 2004 16:27:16 +0200
From: Marcin Owsiany <email address hidden>
To: Alex Malinovich <email address hidden>, <email address hidden>
Subject: Re: Bug#252170: xmms-xf86audio: Loading plugin causes XMMS segfault

Andrew Suffield suggested that this might be some kind of memory
corruption happening earlier. I should probably concentrate on
reproducing the problem, since "remote" debugging of such problem will
be rather difficult.

For that I would need:
 - list of all your installed packages (COLUMNS=200 dpkg -l)
 - a tarball of your ~/.xmms directory
 - what kernel you are running?
 - what sound output system you are using? alsa/oss/esd?
 - information on any GTK theme you are using (or whether you can
   reproduce the bug with standard theme)

Also it would be very helpful if you could determine the smallest set of
xmms plugins with which you can still reproduce the bug. (maybe backup
your ~/.xmms and start with a clean directory, and try to disable
plugins one by one).

Marcin
--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

Debian Bug Importer (debzilla) wrote :

Message-Id: <1086880093.6824.5.camel@Gollum>
Date: Thu, 10 Jun 2004 08:08:14 -0700
From: Alex Malinovich <email address hidden>
To: Marcin Owsiany <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#252170: xmms-xf86audio: Loading plugin causes XMMS segfault

--=-CCiywoPeM4UMYDDExnnQ
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Thu, 2004-06-10 at 07:27, Marcin Owsiany wrote:
> Andrew Suffield suggested that this might be some kind of memory
> corruption happening earlier. I should probably concentrate on
> reproducing the problem, since "remote" debugging of such problem will
> be rather difficult.
>=20
> For that I would need:
> - list of all your installed packages (COLUMNS=3D200 dpkg -l)
> - a tarball of your ~/.xmms directory
> - what kernel you are running?
> - what sound output system you are using? alsa/oss/esd?
> - information on any GTK theme you are using (or whether you can
> reproduce the bug with standard theme)
>=20
> Also it would be very helpful if you could determine the smallest set of
> xmms plugins with which you can still reproduce the bug. (maybe backup
> your ~/.xmms and start with a clean directory, and try to disable
> plugins one by one).

I'm going to be out of the office until Monday, but as soon as I have
some free time available I can SSH in and take care of the package
listing and .xmms tarball. For the time being, here's the simple
answers:

Kernel 2.6.6 (Debian 686 image)
Using the ESD output plugin
Using ALSA for sound.
Using the Nuvola theme.

--=20
Alex Malinovich
Support Free Software, delete your Windows partition TODAY!
Encrypted mail preferred. You can get my public key from any of the
pgp.net keyservers. Key ID: A6D24837

--=-CCiywoPeM4UMYDDExnnQ
Content-Type: application/pgp-signature; name=signature.asc
Content-Description: This is a digitally signed message part

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQBAyHldBPYwh6bSSDcRAg5XAJ9AlXVNCnujiz95QI8cYbWqxCZHtgCeJ9Pc
z43HeeHOd6xkSYzGSv02dak=
=d036
-----END PGP SIGNATURE-----

--=-CCiywoPeM4UMYDDExnnQ--

Debian Bug Importer (debzilla) wrote :

Message-Id: <1087227211.10818.11.camel@localhost>
Date: Mon, 14 Jun 2004 10:33:31 -0500
From: Alex Malinovich <email address hidden>
To: Marcin Owsiany <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#252170: xmms-xf86audio: Loading plugin causes XMMS segfault

--=-qy15rdXbWkGc+oZMQud9
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

One more detail. If I load xf86audio and THEN load the OSD plugin, they
both work. BUT, if I load the OSD plugin first and then load the
xf86audio plugin, I get a segfault.
--=20
Alex Malinovich
Support Free Software, delete your Windows partition TODAY!
Encrypted mail preferred. You can get my public key from any of the
pgp.net keyservers. Key ID: A6D24837

--=-qy15rdXbWkGc+oZMQud9
Content-Type: application/pgp-signature; name=signature.asc
Content-Description: This is a digitally signed message part

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQBAzcVKBPYwh6bSSDcRAqjQAJ9/dQ7WjwYnUK0wvZoJfGnr52OxRACfanzc
AxILF+3UR/t9nptI/VJ+jsg=
=qLz5
-----END PGP SIGNATURE-----

--=-qy15rdXbWkGc+oZMQud9--

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Mon, 14 Jun 2004 17:56:02 +0200
From: Marcin Owsiany <email address hidden>
To: Alex Malinovich <email address hidden>,
 Philipp Matthias Hahn <email address hidden>
Cc: <email address hidden>, <email address hidden>
Subject: Re: Bug#252170: xmms-xf86audio: Loading plugin causes XMMS segfault

tags 252170 -unreproducible
thanks

Philipp: this is possibly a bug in xmms-osd-plugin, could you try to
reproduce this as well?

On Mon, Jun 14, 2004 at 10:33:31AM -0500, Alex Malinovich wrote:
> One more detail. If I load xf86audio and THEN load the OSD plugin, they
> both work. BUT, if I load the OSD plugin first and then load the
> xf86audio plugin, I get a segfault.

Now thanks to this information, I can reproduce the crash:
 - install xmms-osd-plugin and xmms-xf86audio
 - start xmms, with locale different than "C" (I use pl_PL, and could
   not reproduce it when starting with LANG=C)
 - go to options->preferences->general plugins
 - make sure both libxmms_osd.so and libxf86audio.so are disabled
   (Enable plugin checkbox OFF)
 - enable osd plugin
 - enable xf86audio plugin
 *crash*

This suggests that the bug might be in the OSD plugin or library.

Now I need to find an electric-fence or something similar..

Marcin
--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Mon, 14 Jun 2004 18:08:14 +0200
From: Marcin Owsiany <email address hidden>
To: <email address hidden>
Subject: ...

tags 252170 -moreinfo
thanks

--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Mon, 14 Jun 2004 20:40:32 +0200
From: Marcin Owsiany <email address hidden>
To: <email address hidden>
Subject: Not much...

This is as far as I got:

(gdb) r
Starting program: /usr/bin/xmms
[Thread debugging using libthread_db enabled]
[New Thread 16384 (LWP 22973)]
[New Thread 32769 (LWP 22975)]
[New Thread 16386 (LWP 22976)]
[New Thread 32771 (LWP 22977)]
[New Thread 49156 (LWP 22978)]
[New Thread 65541 (LWP 22979)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 16384 (LWP 22973)]
*__GI___pthread_mutex_lock (mutex=0x11) at mutex.c:102
102 mutex.c: Nie ma takiego pliku ani katalogu.
        in mutex.c
(gdb) bt
#0 *__GI___pthread_mutex_lock (mutex=0x11) at mutex.c:102
#1 0x40286fc1 in _XLockMutex (lip=0x11) at locking.c:95
#2 0x40272429 in XrmQGetResource (db=0x8161dc8, names=0xbfffe788, classes=0x402fc908, pType=0xbfffe77c, pValue=0xbfffe780)
    at Xrm.c:2576
#3 0x40265c6a in XStringToKeysym (s=0x407b34a8 "XF86AudioNext") at StrKeysym.c:123
#4 0x407b3165 in get_gplugin_info () from /usr/lib/xmms/General/libxf86audio.so
#5 0x407b34a8 in ?? () from /usr/lib/xmms/General/libxf86audio.so
#6 0x00000000 in ?? ()
#7 0xbfffe7f8 in ?? ()
#8 0x401ca4a8 in __JCR_LIST__ () from /usr/lib/debug/libglib-1.2.so.0
#9 0x401ca4a8 in __JCR_LIST__ () from /usr/lib/debug/libglib-1.2.so.0
#10 0x081e4594 in ?? ()
#11 0xbfffe7e8 in ?? ()
#12 0x401b8fa2 in g_list_alloc () at glist.c:136
#13 0x407b3250 in get_gplugin_info () from /usr/lib/xmms/General/libxf86audio.so
#14 0x407b34a8 in ?? () from /usr/lib/xmms/General/libxf86audio.so
#15 0x00000000 in ?? ()
#16 0xbfffe838 in ?? ()
#17 0x08199b80 in ?? ()
#18 0x00000000 in ?? ()
#19 0x08199b80 in ?? ()
#20 0xbfffe838 in ?? ()
#21 0x0805fef3 in enable_general_plugin (i=135888576, enable=1081821632) at general.c:48
Previous frame identical to this frame (corrupt stack?)
(gdb)

--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Mon, 21 Jun 2004 20:46:48 +0200
From: Marcin Owsiany <email address hidden>
To: <email address hidden>
Subject: Possible cause

The following thread has some useful information:
http://lists.debian.org/debian-devel/2004/06/msg00530.html

--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Mon, 21 Jun 2004 20:57:30 +0200
From: Marcin Owsiany <email address hidden>
To: <email address hidden>, <email address hidden>,
 <email address hidden>, <email address hidden>
Subject: What to do about #252170

I'm sending this message to maintainers of packages which are possibly
involved in the problem.

Please read http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=252170

I know very little of X programming, so I have no idea which package is
"guilty" of the problem:
 - xmms-xf86audio for using XStringToKeysym
 - xmms for not caring about setting up Xlib thread support early enough
 - xosd for setting up Xlib thread support too late
 - xlib for having such and not other thread support interface

Anyway, we need to decide how to resolve the problem. Please help.

Marcin
PS: Please CC the bug address so we have a log. Or maybe we should move
this to some mailing list?
--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 7 Jul 2004 10:01:19 +0200
From: Philipp Matthias Hahn <email address hidden>
To: Marcin Owsiany <email address hidden>,
 Tim Wright <email address hidden>
Cc: <email address hidden>, <email address hidden>,
 <email address hidden>, <email address hidden>
Subject: Re: What to do about #252170

Hello!

Sorry for the delay, but I was ill and work keeps me busy.

On Mon, Jun 21, 2004 at 08:57:30PM +0200, Marcin Owsiany wrote:
> I'm sending this message to maintainers of packages which are possibly
> involved in the problem.
>
> Please read http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=252170
>
> I know very little of X programming, so I have no idea which package is
> "guilty" of the problem:
> - xmms-xf86audio for using XStringToKeysym
> - xmms for not caring about setting up Xlib thread support early enough
> - xosd for setting up Xlib thread support too late
> - xlib for having such and not other thread support interface
>
> Anyway, we need to decide how to resolve the problem. Please help.

I investigates this yesterday and here are my findings:
1. xosd is multithreded using 3 threads for X11-exposure, timeout and
control.
2. xosd opens its own X11 display but needs X11-Tread support, so it
calls XInitThread, which is wrong, because xmms dynamically loads the
library way after its first call to X11.
3. Putting an XInitThread()-call in xmms might solve this problem. But
since there are other applications using libxosd, they all must also
call XInitThread() before using libxosd. Not doing this will later crash
the application.

Therefor I see only one solution: Rewrite xosd to use only one thread
for X11 calls. I'll try to do that, but I'm busy with university and my
scouting activities, so it might take me some time. Before I start
coding, I'll ask some questions for the new implementation:

The current implementation has one thread listening for X11 exposures to
redraw the display. The loop blocks using XWindowEvent(). I'm going to
use select() on ConnectionNumber(x11->display).
Another thread handles timeouts. Currently it directly calls X11 to hide
the display. How do I best convert it to something that works with
select() for inter-thread-communication()? Use a pipe()? On Linux I
could get rid of that thread and use select()'s timeval to do the
timeout, since Linux updates timeval to contain the remaining sleep
time. But that's not portable, so for non-Linux I'll have to use
gettimeofday(). Any better ideas?
A third thread will control xosd (updating text, changing colors/fonts)
on users request. This threads will have to also communicate with the
first thread to notify it of changes. Should I use a pipe() or signal()
or what else for inter-thread-communication?

BYtE
Philipp
--
Philipp Matthias Hahn <email address hidden>
 GPG/PGP: 9A540E39 @ keyrings.debian.org

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Thu, 8 Jul 2004 16:02:11 -0500
From: Branden Robinson <email address hidden>
To: Marcin Owsiany <email address hidden>
Cc: <email address hidden>, <email address hidden>,
 <email address hidden>, <email address hidden>
Subject: Re: What to do about #252170

--crFW2+mWrWMXeHsA
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Mon, Jun 21, 2004 at 08:57:30PM +0200, Marcin Owsiany wrote:
> I'm sending this message to maintainers of packages which are possibly
> involved in the problem.
>=20
> Please read http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=3D252170
>=20
> I know very little of X programming, so I have no idea which package is
> "guilty" of the problem:
> - xmms-xf86audio for using XStringToKeysym
> - xmms for not caring about setting up Xlib thread support early enough
> - xosd for setting up Xlib thread support too late
> - xlib for having such and not other thread support interface
>=20
> Anyway, we need to decide how to resolve the problem. Please help.
>=20
> Marcin
> PS: Please CC the bug address so we have a log. Or maybe we should move
> this to some mailing list?

Philipp Matthias Hahn's recommendation[1] looked sound to me.

Going by Andrew Suffield's comments, anything else would involve major
surgery to Xlib -- probably implementing a new function for thread
initialization -- and that is well beyond my ken. I'd want to consult with
gurus like Keith Packard first.

Keith is subscribed to this list, so maybe uttering his name will summon
him to this thread.

Maybe. :)

[1] Message-ID: <email address hidden>
[2] Message-ID: <email address hidden>
    http://lists.debian.org/debian-devel/2004/06/msg00804.html

--=20
G. Branden Robinson | If a man ate a pound of pasta and a
Debian GNU/Linux | pound of antipasto, would they
<email address hidden> | cancel out, leaving him still
http://people.debian.org/~branden/ | hungry? -- Scott Adams

--crFW2+mWrWMXeHsA
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iEYEARECAAYFAkDttlMACgkQ6kxmHytGonzhpACgqLqe28wAEenP55MuW8osMCuE
CccAn3NlTxOHjzlUOnrr7BevWTY/E9C6
=WJBr
-----END PGP SIGNATURE-----

--crFW2+mWrWMXeHsA--

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 13 Jul 2004 13:16:33 +0200
From: Marcin Owsiany <email address hidden>
To: Devin Carraway <email address hidden>
Cc: <email address hidden>
Subject: Re: [xmms-xf86audio] A conflict with xosd

--rS8CxjVDS/+yyDmU
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

[ CC-ing the bug to record your comments, hope you don't mind ]

On Thu, Jul 08, 2004 at 01:21:08AM -0700, Devin Carraway wrote:
> On Wed, Jul 07, 2004 at 12:11:37PM +0200, Marcin Owsiany wrote:
> > Though this is not really a bug in xmms-xf86audio, it is not
> > debian-packaging-specific, so I thought you might want to know about it,
> > as the upstream author.
>=20
> Quite a bit of effort you've put into this one. Thanks for letting me
> know. Admittedly I didn't think much about the threading issue when
> knocking up the plugin; I think xosd is most nearly at fault here, but
> it's more that xosd didn't contemplate being wedged into a wierd
> situation as an xmms plugin.
>=20
> > Maybe you even have another idea how to fix it? :-)
>=20
> One way as you've discussed is to make the xosd plugin less wierd about
> its usage of X, possibly pushing it to an external client and talking to
> it over an IPC channel of some sort. Probably a simpler way is to get
> xmms to call XInitThread() itself earlier on -- maybe you can get Josip
> Rodin to patch in a hook you can use to call it before xmms starts
> making xlib calls itself. Or maybe GTK1 has some tricks buried in the
> headers you can use.
>=20
> Assuming that I understand Andrew's summary correctly, I'm surprised the
> xosd plugin is being perturbed only by xmms-xf86audio, there being
> plenty of other plugins which also make X calls (via GDK if nothing
> else).

Maybe GDK makes its own locking before calling Xlib internally?

Marcin
--=20
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

--rS8CxjVDS/+yyDmU
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFA88SQOg2KoGD0EhYRAvanAJ9nulQ3tGPpV4jJEOoDDMzEyou3yQCeNCXA
sRY+/X2KsRNNj3SltmIv+f8=
=Hw3A
-----END PGP SIGNATURE-----

--rS8CxjVDS/+yyDmU--

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 13 Jul 2004 13:18:48 +0200
From: Marcin Owsiany <email address hidden>
To: <email address hidden>
Subject: retitle

retitle 252170 thread issues with xosd and xlib cause xmms segfault
thanks
--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Wed, 14 Jul 2004 07:38:02 +0200 (CEST)
From: <email address hidden> (Philipp Matthias Hahn)
To: <email address hidden>
Subject:

reassign 252170 xosd
forwarded 252170 <email address hidden>
retitle 252170 XInitThread in library causes segfault
tag 252170 + upstream
tag 252170 + pending

Matt Zimmerman (mdz) wrote :

Increase severity of RC bugs to major, now that we have other, non-RC bugs in
the list

Hi,

You haved tagged this bug as pending on 1st June. Do you intend to
upload a new version soon ?

Since we (QA Team) are squashing bugs, very actively theses days, we
would like to see this bug closed.

Cheers,
--
                                Pierre Machard
<email address hidden> http://debian.org
GPG: 1024D/23706F87 : B906 A53F 84E0 49B6 6CF7 82C2 B3A0 2D66 2370 6F87

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Sat, 17 Jul 2004 17:55:11 +0200
From: Pierre Machard <email address hidden>
To: <email address hidden>
Subject: Ping

--45Z9DzgjV8m4Oswq
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Hi,

You haved tagged this bug as pending on 1st June. Do you intend to
upload a new version soon ?

Since we (QA Team) are squashing bugs, very actively theses days, we
would like to see this bug closed.

Cheers,
--=20
                                Pierre Machard
<email address hidden> http://debian.org
GPG: 1024D/23706F87 : B906 A53F 84E0 49B6 6CF7 82C2 B3A0 2D66 2370 6F87

--45Z9DzgjV8m4Oswq
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFA+Uvfs6AtZiNwb4cRAou+AKC4h7hCj9xyz/u5XEBBvxV5O2J6LgCeLfJ6
O0PKYZnqIbnU72lI1gfOTWI=
=er+z
-----END PGP SIGNATURE-----

--45Z9DzgjV8m4Oswq--

Daniel Stone (daniels) wrote :

fd.o's libX11 seems to solve most of the threading problems. If we could confirm
this bug's persistence (or otherwise) with fd.o xlibs, that would be nifty.

One of the TransGaming guys was having problems with threading and Xlib (it
crashed a lot), so I pointed him at our libX11, and apparently his problems went
away.

Hello!

On Sat, Jul 17, 2004 at 05:55:11PM +0200, Pierre Machard wrote:
> You haved tagged this bug as pending on 1st June. Do you intend to
> upload a new version soon ?
>
> Since we (QA Team) are squashing bugs, very actively theses days, we
> would like to see this bug closed.

Me too. I've done a lot of work on xosd (16 patches so far) and I've
been able to get rid of XInitThread(), but now I've got a very anoying
bug: Sometimes nothing is displayed and sometime the display is broken.
Until I've fixed that bug, I'll not upload a new package. I hope to fix
it this week.
What make this bug hard to fix is the fact, that understanding what
happens when is not so easy, so I'm restructuring a lot of things to
make it clearer.

My preliminary patches are available from
http://pint.pmhahn.de/pmhahn/debian/sid/x/xosd/2.2.8/

 01_setlocale.diff
# BUG: A library must not change the locale
 02_man_osdcat.diff
# Document new fatures and update formatting
 03_debug.diff
# Change debugging macros to include thead-id
 04_xosd_scroll.diff
# Simplify the xosd_scroll
 05_comments.diff
# Update comments and add vim-markers for folding
 06_ChangeLog.diff
# White space unification
 07_outline.diff
# Document bug outline is no outline!
 08_enum_FILL.diff
# Change FILL constants to enum
# Clean up fill_mask handling
 09_stayOnTop.diff
# Simplify window-manager functions
 10_length.diff
# Remove xosd.length
 11_osd_cat.diff
# Clean up barmode
# - Restructure to get rid of duplicate code
# - Replace suspect string comparison
# Allocate variables in bss instead of stack
# Rework help
# BUG: Was using only n-1 lines because scroll happend before wait
 12_lock.diff
# Prepare locking change
 13_thread.diff
# Remove not needed errno.h
# Fix multi-thread issue with X11 calls
 14_time.diff
# Replace time() with gettimeofday() to increase resolution
 15_display.diff
# Reduce duplicate code in xosd_display()
 16_font.diff
# Delay text-width calculation until string is drawn
# Move fontset check to assert, because setting an invalid one is impossible

BYtE
Philipp
--
Philipp Matthias Hahn <email address hidden>
GPG/PGP: 9A540E39 @ keyrings.debian.org

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Mon, 2 Aug 2004 20:19:07 +0200
From: Philipp Matthias Hahn <email address hidden>
To: Pierre Machard <email address hidden>, <email address hidden>
Cc: Tim Wright <email address hidden>
Subject: Re: Bug#252170: Ping

Hello!

On Sat, Jul 17, 2004 at 05:55:11PM +0200, Pierre Machard wrote:
> You haved tagged this bug as pending on 1st June. Do you intend to
> upload a new version soon ?
>
> Since we (QA Team) are squashing bugs, very actively theses days, we
> would like to see this bug closed.

Me too. I've done a lot of work on xosd (16 patches so far) and I've
been able to get rid of XInitThread(), but now I've got a very anoying
bug: Sometimes nothing is displayed and sometime the display is broken.
Until I've fixed that bug, I'll not upload a new package. I hope to fix
it this week.
What make this bug hard to fix is the fact, that understanding what
happens when is not so easy, so I'm restructuring a lot of things to
make it clearer.

My preliminary patches are available from
http://pint.pmhahn.de/pmhahn/debian/sid/x/xosd/2.2.8/

 01_setlocale.diff
# BUG: A library must not change the locale
 02_man_osdcat.diff
# Document new fatures and update formatting
 03_debug.diff
# Change debugging macros to include thead-id
 04_xosd_scroll.diff
# Simplify the xosd_scroll
 05_comments.diff
# Update comments and add vim-markers for folding
 06_ChangeLog.diff
# White space unification
 07_outline.diff
# Document bug outline is no outline!
 08_enum_FILL.diff
# Change FILL constants to enum
# Clean up fill_mask handling
 09_stayOnTop.diff
# Simplify window-manager functions
 10_length.diff
# Remove xosd.length
 11_osd_cat.diff
# Clean up barmode
# - Restructure to get rid of duplicate code
# - Replace suspect string comparison
# Allocate variables in bss instead of stack
# Rework help
# BUG: Was using only n-1 lines because scroll happend before wait
 12_lock.diff
# Prepare locking change
 13_thread.diff
# Remove not needed errno.h
# Fix multi-thread issue with X11 calls
 14_time.diff
# Replace time() with gettimeofday() to increase resolution
 15_display.diff
# Reduce duplicate code in xosd_display()
 16_font.diff
# Delay text-width calculation until string is drawn
# Move fontset check to assert, because setting an invalid one is impossible

BYtE
Philipp
--
Philipp Matthias Hahn <email address hidden>
GPG/PGP: 9A540E39 @ keyrings.debian.org

Hi Tim!

On Mon, Jul 05, 2004 at 10:46:07AM +1200, Tim Wright wrote:
> and is attached to this email.
>
> There's a speed optimisation to the drawing code and the osd_cat program
> can now draw slider and percentage bars.

Please download
http://pint.pmhahn.de/pmhahn/debian/sid/x/xosd/xosd_2.2.8-2.diff.gz
do
zcat xosd_2.2.8.diff.gz | patch -p0
and review patches 00-25 in xosd-2.2.8/debian/patches/ before you
hopefully apply them. Patch 26 is not working yet, please don't apply.
The rest I consider stable, but I'd like some more eyes on the code.

I'll delay my Debian package upload a few days in hope of hearing
some comments from you. My last emails to you seem to be lost.

BYtE
Philipp
--
Philipp Matthias Hahn <email address hidden>
 GPG/PGP: 9A540E39 @ keyrings.debian.org

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 4 Aug 2004 18:25:53 +0200
From: Philipp Matthias Hahn <email address hidden>
To: Tim Wright <email address hidden>
Cc: <email address hidden>
Subject: Re: Xosd 2.2.8 released

Hi Tim!

On Mon, Jul 05, 2004 at 10:46:07AM +1200, Tim Wright wrote:
> and is attached to this email.
>
> There's a speed optimisation to the drawing code and the osd_cat program
> can now draw slider and percentage bars.

Please download
http://pint.pmhahn.de/pmhahn/debian/sid/x/xosd/xosd_2.2.8-2.diff.gz
do
zcat xosd_2.2.8.diff.gz | patch -p0
and review patches 00-25 in xosd-2.2.8/debian/patches/ before you
hopefully apply them. Patch 26 is not working yet, please don't apply.
The rest I consider stable, but I'd like some more eyes on the code.

I'll delay my Debian package upload a few days in hope of hearing
some comments from you. My last emails to you seem to be lost.

BYtE
Philipp
--
Philipp Matthias Hahn <email address hidden>
 GPG/PGP: 9A540E39 @ keyrings.debian.org

tag 252170 + fixed-in-experimental

quit

This message was generated automatically in response to an
upload to the experimental distribution. The .changes file follows.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 5 Aug 2004 00:43:18 +0200
Source: xosd
Binary: libxosd-dev xmms-osd-plugin xosd-bin libxosd2
Architecture: source i386
Version: 2.2.8-2
Distribution: experimental
Urgency: low
Maintainer: Philipp Matthias Hahn <email address hidden>
Changed-By: Philipp Matthias Hahn <email address hidden>
Description:
 libxosd-dev - X On-Screen Display library - development
 libxosd2 - X On-Screen Display library - runtime
 xmms-osd-plugin - XMMS plugin using xosd
 xosd-bin - X On-Screen Display library - binary files
Closes: 252170
Changes:
 xosd (2.2.8-2) experimental; urgency=low
 .
   * Rewrite xosd to use only one thread calling X11 (closes: #252170).
   * Install README.Debian in all packages, because it contains important
     informations about common font problems.
   * Suggest xfonts-base-transcoded, see README.Debian on why.
Files:
 9f09165ad83e0d5955dc5083824f03eb 736 x11 optional xosd_2.2.8-2.dsc
 50f052e8572af114f188e47d311e735d 47215 x11 optional xosd_2.2.8-2.diff.gz
 a721101e46b54b4f47ba918856734cf3 24346 libs optional libxosd2_2.2.8-2_i386.deb
 a1cd9bb8701f6833a5fb3d0d6d8b1fb9 35662 libdevel optional libxosd-dev_2.2.8-2_i386.deb
 c71b1c221837cb1536e7b80d27e65331 17678 x11 optional xosd-bin_2.2.8-2_i386.deb
 8ada44388b37b7a42fe7b314fd93b59f 32540 sound optional xmms-osd-plugin_2.2.8-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBEWdlYPlgoZpUDjkRAl6JAJ9VGETwewXLVT8NhdAmLYV1ohl7HwCfWgmO
8DAo33FX2sTArgStasnucmU=
=y0u+
-----END PGP SIGNATURE-----

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Thu, 05 Aug 2004 02:17:53 -0400
From: Philipp Matthias Hahn <email address hidden>
To: <email address hidden>
Cc: Philipp Matthias Hahn <email address hidden>
Subject: Fixed in upload of xosd 2.2.8-2 to experimental

tag 252170 + fixed-in-experimental

quit

This message was generated automatically in response to an
upload to the experimental distribution. The .changes file follows.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 5 Aug 2004 00:43:18 +0200
Source: xosd
Binary: libxosd-dev xmms-osd-plugin xosd-bin libxosd2
Architecture: source i386
Version: 2.2.8-2
Distribution: experimental
Urgency: low
Maintainer: Philipp Matthias Hahn <email address hidden>
Changed-By: Philipp Matthias Hahn <email address hidden>
Description:
 libxosd-dev - X On-Screen Display library - development
 libxosd2 - X On-Screen Display library - runtime
 xmms-osd-plugin - XMMS plugin using xosd
 xosd-bin - X On-Screen Display library - binary files
Closes: 252170
Changes:
 xosd (2.2.8-2) experimental; urgency=low
 .
   * Rewrite xosd to use only one thread calling X11 (closes: #252170).
   * Install README.Debian in all packages, because it contains important
     informations about common font problems.
   * Suggest xfonts-base-transcoded, see README.Debian on why.
Files:
 9f09165ad83e0d5955dc5083824f03eb 736 x11 optional xosd_2.2.8-2.dsc
 50f052e8572af114f188e47d311e735d 47215 x11 optional xosd_2.2.8-2.diff.gz
 a721101e46b54b4f47ba918856734cf3 24346 libs optional libxosd2_2.2.8-2_i386.deb
 a1cd9bb8701f6833a5fb3d0d6d8b1fb9 35662 libdevel optional libxosd-dev_2.2.8-2_i386.deb
 c71b1c221837cb1536e7b80d27e65331 17678 x11 optional xosd-bin_2.2.8-2_i386.deb
 8ada44388b37b7a42fe7b314fd93b59f 32540 sound optional xmms-osd-plugin_2.2.8-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBEWdlYPlgoZpUDjkRAl6JAJ9VGETwewXLVT8NhdAmLYV1ohl7HwCfWgmO
8DAo33FX2sTArgStasnucmU=
=y0u+
-----END PGP SIGNATURE-----

Source: xosd
Source-Version: 2.2.8-3

We believe that the bug you reported is fixed in the latest version of
xosd, which is due to be installed in the Debian FTP archive:

libxosd-dev_2.2.8-3_i386.deb
  to pool/main/x/xosd/libxosd-dev_2.2.8-3_i386.deb
libxosd2_2.2.8-3_i386.deb
  to pool/main/x/xosd/libxosd2_2.2.8-3_i386.deb
xmms-osd-plugin_2.2.8-3_i386.deb
  to pool/main/x/xosd/xmms-osd-plugin_2.2.8-3_i386.deb
xosd-bin_2.2.8-3_i386.deb
  to pool/main/x/xosd/xosd-bin_2.2.8-3_i386.deb
xosd_2.2.8-3.diff.gz
  to pool/main/x/xosd/xosd_2.2.8-3.diff.gz
xosd_2.2.8-3.dsc
  to pool/main/x/xosd/xosd_2.2.8-3.dsc

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Philipp Matthias Hahn <email address hidden> (supplier of updated xosd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 10 Aug 2004 08:10:39 +0200
Source: xosd
Binary: libxosd-dev xmms-osd-plugin xosd-bin libxosd2
Architecture: source i386
Version: 2.2.8-3
Distribution: unstable
Urgency: medium
Maintainer: Philipp Matthias Hahn <email address hidden>
Changed-By: Philipp Matthias Hahn <email address hidden>
Description:
 libxosd-dev - X On-Screen Display library - development
 libxosd2 - X On-Screen Display library - runtime
 xmms-osd-plugin - XMMS plugin using xosd
 xosd-bin - X On-Screen Display library - binary files
Closes: 252170
Changes:
 xosd (2.2.8-3) unstable; urgency=medium
 .
   * Reupload to unstable after successful testing in experimental.
   * Urgency medium because of grave #252170.
 .
 xosd (2.2.8-2) experimental; urgency=low
 .
   * Rewrite xosd to use only one thread calling X11 (closes: #252170).
   * Install README.Debian in all packages, because it contains important
     informations about common font problems.
   * Suggest xfonts-base-transcoded, see README.Debian on why.
Files:
 90dad1888ea4206688e6fa88b363ec95 736 x11 optional xosd_2.2.8-3.dsc
 a9d2a0893d0fc2e1e083979465aee4a5 47513 x11 optional xosd_2.2.8-3.diff.gz
 ac785380be08565aa779e1cc34994d55 24330 libs optional libxosd2_2.2.8-3_i386.deb
 a2a597a8d942971b9d22704353a34534 35756 libdevel optional libxosd-dev_2.2.8-3_i386.deb
 affc41f262cd8232b6d04e85393be698 17744 x11 optional xosd-bin_2.2.8-3_i386.deb
 9441d4e6af165296d3d5dc4fc1e9656a 32606 sound optional xmms-osd-plugin_2.2.8-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBGGx7YPlgoZpUDjkRAsl1AJ0T1Yu9sksrX7QzYRMSDeWdm7wLLACcDEZG
FmBz2OwmQ3HsCl/7Nju1l+s=
=Lu6Z
-----END PGP SIGNATURE-----

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Tue, 10 Aug 2004 02:47:14 -0400
From: Philipp Matthias Hahn <email address hidden>
To: <email address hidden>
Subject: Bug#252170: fixed in xosd 2.2.8-3

Source: xosd
Source-Version: 2.2.8-3

We believe that the bug you reported is fixed in the latest version of
xosd, which is due to be installed in the Debian FTP archive:

libxosd-dev_2.2.8-3_i386.deb
  to pool/main/x/xosd/libxosd-dev_2.2.8-3_i386.deb
libxosd2_2.2.8-3_i386.deb
  to pool/main/x/xosd/libxosd2_2.2.8-3_i386.deb
xmms-osd-plugin_2.2.8-3_i386.deb
  to pool/main/x/xosd/xmms-osd-plugin_2.2.8-3_i386.deb
xosd-bin_2.2.8-3_i386.deb
  to pool/main/x/xosd/xosd-bin_2.2.8-3_i386.deb
xosd_2.2.8-3.diff.gz
  to pool/main/x/xosd/xosd_2.2.8-3.diff.gz
xosd_2.2.8-3.dsc
  to pool/main/x/xosd/xosd_2.2.8-3.dsc

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Philipp Matthias Hahn <email address hidden> (supplier of updated xosd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 10 Aug 2004 08:10:39 +0200
Source: xosd
Binary: libxosd-dev xmms-osd-plugin xosd-bin libxosd2
Architecture: source i386
Version: 2.2.8-3
Distribution: unstable
Urgency: medium
Maintainer: Philipp Matthias Hahn <email address hidden>
Changed-By: Philipp Matthias Hahn <email address hidden>
Description:
 libxosd-dev - X On-Screen Display library - development
 libxosd2 - X On-Screen Display library - runtime
 xmms-osd-plugin - XMMS plugin using xosd
 xosd-bin - X On-Screen Display library - binary files
Closes: 252170
Changes:
 xosd (2.2.8-3) unstable; urgency=medium
 .
   * Reupload to unstable after successful testing in experimental.
   * Urgency medium because of grave #252170.
 .
 xosd (2.2.8-2) experimental; urgency=low
 .
   * Rewrite xosd to use only one thread calling X11 (closes: #252170).
   * Install README.Debian in all packages, because it contains important
     informations about common font problems.
   * Suggest xfonts-base-transcoded, see README.Debian on why.
Files:
 90dad1888ea4206688e6fa88b363ec95 736 x11 optional xosd_2.2.8-3.dsc
 a9d2a0893d0fc2e1e083979465aee4a5 47513 x11 optional xosd_2.2.8-3.diff.gz
 ac785380be08565aa779e1cc34994d55 24330 libs optional libxosd2_2.2.8-3_i386.deb
 a2a597a8d942971b9d22704353a34534 35756 libdevel optional libxosd-dev_2.2.8-3_i386.deb
 affc41f262cd8232b6d04e85393be698 17744 x11 optional xosd-bin_2.2.8-3_i386.deb
 9441d4e6af165296d3d5dc4fc1e9656a 32606 sound optional xmms-osd-plugin_2.2.8-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBGGx7YPlgoZpUDjkRAsl1AJ0T1Yu9sksrX7QzYRMSDeWdm7wLLACcDEZG
FmBz2OwmQ3HsCl/7Nju1l+s=
=Lu6Z
-----END PGP SIGNATURE-----

Sync requested

Sync done

merge 266076 266079
reassign 252170 libxosd2
tag 266076 + patch
tag 266076 + fixed-in-experimental
forwarded 266076 Tim Wright <email address hidden>
severity 266076 grave
merge 252170 266076
thanks

reassign 252170 xosd
reassign 265561 libxosd2
merge 265561 266076
thanks

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Mon, 16 Aug 2004 19:48:59 +0200 (CEST)
From: <email address hidden> (Philipp Hahn)
To: <email address hidden>
Subject:

merge 266076 266079
reassign 252170 libxosd2
tag 266076 + patch
tag 266076 + fixed-in-experimental
forwarded 266076 Tim Wright <email address hidden>
severity 266076 grave
merge 252170 266076
thanks

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Mon, 16 Aug 2004 20:07:14 +0200 (CEST)
From: <email address hidden> (Philipp Hahn)
To: <email address hidden>
Subject:

reassign 252170 xosd
reassign 265561 libxosd2
merge 265561 266076
thanks

Changed in xosd:
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.